## uwsgi 2.0.19.1

=== debian/changelog ===
uwsgi (2.0.19.1-7.1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Non-maintainer upload.
  * Add upstream patch to support Transfer-Encoding: chuncked, necessary for
    OpenStack Glance and Swift over uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jun 2021 11:08:33 +0200

uwsgi (2.0.19.1-7) unstable; urgency=medium

  * add patch cherry-picked upstream
    to remove PHP TSRMLS_* macros;
    unfuzz another upstream cherry-picked patch;
    see bug#989191, thanks to Bryce Harrington

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 May 2021 07:56:03 +0200

uwsgi (2.0.19.1-6) unstable; urgency=medium

  * fix permissions of runtime dir in uwsgi-emperor;
    closes: bug#982434, thanks to Vlastimil Zíma

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Feb 2021 10:15:46 +0100

uwsgi (2.0.19.1-5) unstable; urgency=medium

  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * add uwsgi-emperor systemd service;
    closes: bug#969372,
    thanks to Rens Houben, Thomas Goirand, Peter Ludikovsky and others
  * copyright:
    + use only canonical Source URL
    + update coverage
  * declare compliance with Debian Policy 4.5.1
  * drop obsolete lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Jan 2021 17:54:19 +0100

uwsgi (2.0.19.1-4) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix path to glusterfs header;
    drop superseded patch 1015
  * add patches cherry-picked upstream:
    + don't overwrite hr->remains in http plugin raw_body mode
    + add regression test
      for issue of log hiding Unhandled object error
    + add millis to format log
    + send close frame to client when uwsgi receives close frame
    + use new Py_SET_SIZE API introduced in Python 3.9
  * add patches cherry-picked upstream
    to modernize Python calls
  * fix declare options deb-confnamespace and deb-confname,
    to support strict parsing;
    closes: bug#970793, thanks to Manfred Benesch
  * fix update uwsgi README.Debian
    to cover controlling specific uwsgi instances with systemd;
    closes: bug#772544, thanks to My Work and Marius Gedminas
  * declare compliance with Debian Policy 4.5.1
  * modernize source script copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Dec 2020 14:01:36 +0100

uwsgi (2.0.19.1-3) unstable; urgency=medium

  * fix revert uwsgi init script to use bash
    (not POSIX shell: sources bash snippets)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Sep 2020 19:48:48 +0200

uwsgi (2.0.19.1-2) unstable; urgency=medium

  * fix uwsgi-emperor init script
    to use init-d-script (not POSIX shell) as shebang
    (broken since 2.0.8-1~exp2, almost 6 years ago);
    closes: bug#969372, thanks to Peter Ludikovsky
  * tighten uwsgi init script
    to use POSIX shell (not bash) as shebang,
    and parse all init scripts as POSIX shell in shellcheck check
  * declare compliance with Debian Policy 4.5.0
  * simplify source script copyright-chceck

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Sep 2020 18:16:56 +0200

uwsgi (2.0.19.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2020 13:10:42 +0200

uwsgi (2.0.18+20200523-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * drop fix-php-ldflags.patch: /usr/lib/php7 does not exist
    (php5 leftover)
  * add patch 2001 to enable verbose builds in the uwsgi build system

  [ Jonas Smedegaard ]
  * fix typo in patch 2001 DEP3 header

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jun 2020 13:07:38 +0200
