=== debian/changelog ===
uwsgi (2.0.20-4) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * stop build-depend on libpcre2-dev
    (unneeded after all - see bug#1007773)

  [ Alexandre Rossi ]
  * fix php plugin with PHP 8.1;
    closes: #1007774
  * add myself to uploaders
  * add one-systemd-per-app service and socket files

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Mar 2022 12:00:44 +0100

uwsgi (2.0.20-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * fix building apache plugin following apache move to pcre2;
    closes: bug#1007773

  [ Jonas Smedegaard ]
  * acknowledge NMUs;
    thanks to Antonio Terceiro
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Mar 2022 13:20:51 +0100

uwsgi (2.0.20-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Feb 2022 19:07:25 -0300

uwsgi (2.0.20-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace uwsgi-plugin-rack-ruby2.7 with uwsgi-plugin-rack-ruby3.0
    (Closes: #1006119)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Feb 2022 12:42:07 -0300

uwsgi (2.0.20-2) unstable; urgency=medium

  * link againt libyajl
    (and against libjansson only for mongrel2 plugin)
    to avoid certain symbols clash;
    build-depend on libyajl-dev;
    closes: bug#996879, thanks to Maxime Besson

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Oct 2021 16:15:28 +0200

uwsgi (2.0.20-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: update download mangle URI
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2021 02:13:03 +0200

uwsgi (2.0.19.1-8) unstable; urgency=medium

  * update copyright info:
    + improve source script copyright-check
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * drop unused debian/control.in file from source,
    and stop cover cdbs or git-buildpackage in README.source file
  * declare compliance with Debian Policy 4.6.0
  * tighten shell scripts, thanks to shellcheck

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2021 23:33:37 +0200
