=== debian/control ===
--- 
+++ 
@@ -4,26 +4,19 @@
 Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
+ Alexandre Rossi <niol@zincube.net>,
 Build-Depends-Indep:
  shellcheck,
 Build-Depends:
- cdbs,
- python3,
- dh-python,
- debhelper,
- dh-buildinfo,
- libpcre3-dev,
- libssl-dev,
- uuid-dev,
- zlib1g-dev,
- libcap-dev [linux-any],
- libjail-dev [kfreebsd-any],
  2to3,
  apache2-dev | apache2-threaded-dev,
+ cdbs,
  cli-common-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
+ debhelper,
  dh-apache2 | apache2-dev,
+ dh-buildinfo,
+ dh-python,
  gccgo [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- libglusterfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  help2man,
  java-common,
  javahelper,
@@ -31,10 +24,13 @@
  libapr1-dev,
  libaprutil1-dev,
  libbz2-dev,
+ libcap-dev [linux-any],
  libcurl4-openssl-dev,
  libdb-dev,
  libgeoip-dev,
  libgloox-dev,
+ libglusterfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ libjail-dev [kfreebsd-any],
  libjansson-dev,
  libkvm-dev [kfreebsd-any],
  libldap2-dev,
@@ -42,25 +38,31 @@
  liblua5.2-dev,
  libonig-dev,
  libpam0g-dev,
+ libpcre3-dev,
  libperl-dev,
  libpq-dev,
  librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  libsqlite3-dev,
+ libssl-dev,
  libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
  libwrap0-dev,
  libxml2-dev,
  libxslt1-dev,
+ libyajl-dev,
  libyaml-dev,
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
  mono-devel [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
  openjdk-11-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  pkg-config,
  python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ python3,
+ python3-all-dev,
  python3-greenlet [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- python3-all-dev,
  ruby,
  ruby-all-dev | ruby-dev,
-Standards-Version: 4.5.1
+ uuid-dev,
+ zlib1g-dev,
+Standards-Version: 4.6.0
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi.git
 Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi
@@ -352,4 +354,3 @@
  .
  uWSGI can be run in preforking, threaded, asynchronous/evented modes and
  supports various forms of green threads/coroutines (such as uGreen, Greenlet,
- Fiber). uWSGI provides several methods of configuration: via command line,
