## uwsgi 2.0.21

=== debian/changelog ===
uwsgi (2.0.21-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Replaces on uwsgi-plugin-jvm-openjdk-11 (Closes: #1035005)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 19 May 2023 09:59:29 -0400

uwsgi (2.0.21-5) unstable; urgency=medium

  * skip shellcheck test when DEB_BUILD_OPTIONS=nocheck;
    annotate shellcheck as test-only build-dependency;
    closes: bug#1031857, thanks to Johannes Schauer Marin Rodrigues

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Feb 2023 12:50:43 +0100

uwsgi (2.0.21-4) unstable; urgency=medium

  * add patch cherry-picked upstream to fix build with PHP >= 8.2;
    (see bug#1028092)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jan 2023 10:58:47 +0100

uwsgi (2.0.21-3) unstable; urgency=medium

  * have uwsgi-dev depend on uwsgi-src and provide dh-sequence-uwsgi;
    have uwsgi-src stop suggest (not recommend) uwsgi-dev
  * declare compliance with Debian Policy 4.6.2
  * tighten packaging scripts: quote paths strings

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Dec 2022 14:20:11 +0100

uwsgi (2.0.21-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Dec 2022 21:01:26 +0100

uwsgi (2.0.21-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file:
    + track Github tags (not no longer offered upstream tarballs)
  * simplify source helper tool copyright-check
  * update copyright info: update coverage
  * provide binary package uwsgi-plugin-rack-ruby3.1
    (not uwsgi-plugin-rack-ruby3.0);
    closes: bug#1025248, thanks to Lucas Kanashiro
  * provide binary packages
    uwsgi-plugin-jvm-openjdk-17 uwsgi-plugin-jwsgi-openjdk-17
    uwsgi-plugin-ring-openjdk-17 uwsgi-plugin-servlet-openjdk-17
    (not uwsgi-plugin-jvm-openjdk-11 uwsgi-plugin-jwsgi-openjdk-11
    uwsgi-plugin-ring-openjdk-11 uwsgi-plugin-servlet-openjdk-11);
    build-depend on openjdk-17-jdk (not openjdk-11-jdk);
    depend on openjdk-17-jre-headless
    (not openjdk-11-jre-headless);
    closes: bug#1024459, thanks to Emmanuel Bourg
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Dec 2022 20:20:56 +0100
