=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jonas Smedegaard <dr@jones.dk>,
  Alexandre Rossi <niol@zincube.net>,
 Build-Depends-Indep:
- shellcheck,
+ shellcheck <!nocheck>,
 Build-Depends:
  2to3,
  apache2-dev | apache2-threaded-dev,
@@ -52,7 +52,7 @@
  libyaml-dev,
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
  mono-devel [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
- openjdk-11-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ openjdk-17-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  pkg-config,
  python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  python3,
@@ -62,7 +62,7 @@
  ruby-all-dev | ruby-dev,
  uuid-dev,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi.git
 Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi
@@ -195,16 +195,16 @@
 Architecture: any
 Depends:
  uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jvm-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jwsgi-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-jvm-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-jwsgi-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
  uwsgi-plugin-lua5.2 (= ${binary:Version}),
  uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
  uwsgi-plugin-psgi (= ${binary:Version}),
  uwsgi-plugin-python3 (= ${binary:Version}),
  uwsgi-plugin-rack-${uwsgi:RubyKind} (= ${binary:Version}),
- uwsgi-plugin-ring-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-servlet-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-ring-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-servlet-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  ${misc:Depends},
 Description: plugins for integration of uWSGI and application
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -216,8 +216,8 @@
  This dependency package provides plugins for integration of uWSGI and
  application:
   * GNU Go
-  * Java (OpenJDK 11)
-  * JWSGI (OpenJDK 11)
+  * Java (OpenJDK 17)
+  * JWSGI (OpenJDK 17)
   * Lua WSAPI (Lua 5.1 and 5.2)
   * Mono/ASP.NET
   * Perl PSGI
@@ -325,12 +325,15 @@
 Multi-Arch: foreign
 Section: libdevel
 Depends:
+ uwsgi-src (= ${source:Version}),
  ${cdbs:Depends},
  ${misc:Depends},
 Recommends:
  ${cdbs:Recommends},
 Enhances:
  ${cdbs:Enhances},
+Provides:
+ dh-sequence-uwsgi,
 Description: fast, self-healing application container server (headers)
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
@@ -353,4 +356,3 @@
  It uses the uwsgi protocol for all the networking/interprocess communications.
  .
  uWSGI can be run in preforking, threaded, asynchronous/evented modes and
- supports various forms of green threads/coroutines (such as uGreen, Greenlet,
