=== debian/rules ===
--- 
+++ 
@@ -40,12 +40,12 @@
 ifneq (,$(DEB_MAINTAINER_MODE))
 $(shell sh debian/pkgarchs.sh glusterfs-common > debian/ARCHS_glusterfs)
 $(shell sh debian/pkgarchs.sh python-greenlet-dev > debian/ARCHS_greenlet)
-$(shell sh debian/pkgarchs.sh openjdk-11-jdk > debian/ARCHS_openjdk11)
+$(shell sh debian/pkgarchs.sh openjdk-17-jdk > debian/ARCHS_openjdk17)
 $(shell sh debian/pkgarchs.sh libmono-2.0-dev | perl -pe 's/\bpowerpc\b//' > debian/ARCHS_mono)
 $(shell sh debian/pkgarchs.sh librados-dev > debian/ARCHS_rados)
 $(shell sh debian/pkgarchs.sh gccgo > debian/ARCHS_gccgo)
 endif
-UWSGI_ARCHLISTS = glusterfs greenlet openjdk11 \
+UWSGI_ARCHLISTS = glusterfs greenlet openjdk17 \
 	mono rados gccgo
 $(foreach list,$(UWSGI_ARCHLISTS),\
 	$(eval UWSGI_ARCHS_$(list) := $(shell cat debian/ARCHS_$(list))))
@@ -83,8 +83,8 @@
 UWSGI_SRCPLUGINS_python = asyncio gevent greenlet tornado
 
 # TODO: avoid non-default java kinds until spearate package uwsgi-java added
-UWSGI_KINDS_java = openjdk-11
-UWSGI_DEFAULTKIND_java = openjdk-11
+UWSGI_KINDS_java = openjdk-17
+UWSGI_DEFAULTKIND_java = openjdk-17
 UWSGI_SRCPLUGINS_java = jvm jwsgi ring servlet
 
 UWSGI_KINDS_lua = lua5.1 lua5.2
