## uwsgi 2.0.22

=== debian/changelog ===
uwsgi (2.0.22-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * fix typo in d/uwsgi-core.README.Debian
  * update pcre2 patch from upstream merge request
  * add documentation link to systemd unit files
  * systemd socket unit: directly use /run instead of /var/run
  * add lintian override for missing uwsgi systemd service (Closes: #833067)
  * fix regular expressions for mangling debian/rules;
    really truly closes: bug#1051752

  [ Jonas Smedegaard ]
  * update regular expressions for mangling debian/rules:
    + tighten and merge patterns
    + fix properly cover greenlet openjdk mono rados gccgo
      (not only glusterfs)
  * really exclude arch mipsel and add arch riscv64
    related to greenlet openjdk mono rados gccgo

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Sep 2023 17:18:53 +0200

uwsgi (2.0.22-3) unstable; urgency=medium

  * fix refreshing build-dependencies
    with custom command `DEB_MAINTAINER_MODE=1 debian/rules clean`
  * update arch-specific build-dependencies;
    really closes: bug#1051752, thanks (again) to Sebastian Ramacher

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Sep 2023 09:46:25 +0200

uwsgi (2.0.22-2) unstable; urgency=medium

  * exclude arches armel armhf i386 from glusterfs build-dependencies,
    and add arch riscv64;
    closes: bug#1051752, thanks to Sebastian Ramacher
  * exclude arch mipsel from gccgo build-dependencies
  * exclude arch mipsel from greenlet build-dependencies,
    and add arch riscv64
  * exclude arch mipsel from mono build-dependencies
  * exclude arch mipsel from openjdk17 build-dependencies,
    and add arch riscv64
  * exclude arch mipsel from rados build-dependencies
  * drop binary package uwsgi-plugin-lua5.2;
    stop build-depend on liblua5.2-dev;
    closes: bug#1050753, thanks to Bastian Germann

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Sep 2023 22:03:09 +0200

uwsgi (2.0.22-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2023 10:30:30 +0200

uwsgi (2.0.21-6) unstable; urgency=medium

  * add patch cherry-picked upstream to switch to pcre2;
    build-depend on libpcre2-dev (not libpcre3-dev);
    closes: bug#999936, thanks to Matthew Vernon and Alexandre Rossi
  * enable riscv64 in gccgo build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Jul 2023 08:55:53 +0200
