=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
  2to3,
  apache2-dev | apache2-threaded-dev,
  cdbs,
- cli-common-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
+ cli-common-dev [amd64 arm64 armel armhf i386 ppc64el s390x],
  debhelper,
  dh-apache2 | apache2-dev,
  dh-buildinfo,
  dh-python,
- gccgo [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ gccgo [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  help2man,
  java-common,
  javahelper,
@@ -29,19 +29,18 @@
  libdb-dev,
  libgeoip-dev,
  libgloox-dev,
- libglusterfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ libglusterfs-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
  libjail-dev [kfreebsd-any],
  libjansson-dev,
  libkvm-dev [kfreebsd-any],
  libldap2-dev,
  liblua5.1-0-dev,
- liblua5.2-dev,
  libonig-dev,
  libpam0g-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libperl-dev,
  libpq-dev,
- librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ librados-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
  libsqlite3-dev,
  libssl-dev,
  libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
@@ -51,13 +50,13 @@
  libyajl-dev,
  libyaml-dev,
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
- mono-devel [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
- openjdk-17-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ mono-devel [amd64 arm64 armel armhf i386 ppc64el s390x],
+ openjdk-17-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  pkg-config,
- python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  python3,
  python3-all-dev,
- python3-greenlet [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ python3-greenlet [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  ruby,
  ruby-all-dev | ruby-dev,
  uuid-dev,
@@ -194,17 +193,16 @@
 Package: uwsgi-app-integration-plugins
 Architecture: any
 Depends:
- uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jvm-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jwsgi-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+ uwsgi-plugin-jvm-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+ uwsgi-plugin-jwsgi-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
- uwsgi-plugin-lua5.2 (= ${binary:Version}),
- uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
+ uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 ppc64el s390x],
  uwsgi-plugin-psgi (= ${binary:Version}),
  uwsgi-plugin-python3 (= ${binary:Version}),
  uwsgi-plugin-rack-${uwsgi:RubyKind} (= ${binary:Version}),
- uwsgi-plugin-ring-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
- uwsgi-plugin-servlet-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-ring-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
+ uwsgi-plugin-servlet-openjdk-17 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  ${misc:Depends},
 Description: plugins for integration of uWSGI and application
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -218,7 +216,7 @@
   * GNU Go
   * Java (OpenJDK 17)
   * JWSGI (OpenJDK 17)
-  * Lua WSAPI (Lua 5.1 and 5.2)
+  * Lua WSAPI (Lua 5.1)
   * Mono/ASP.NET
   * Perl PSGI
   * Python WSGI (Python 3)
@@ -356,3 +354,5 @@
  It uses the uwsgi protocol for all the networking/interprocess communications.
  .
  uWSGI can be run in preforking, threaded, asynchronous/evented modes and
+ supports various forms of green threads/coroutines (such as uGreen, Greenlet,
+ Fiber). uWSGI provides several methods of configuration: via command line,
