=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 -include /usr/share/javahelper/java-vars.mk
 -include /usr/share/java/java_defaults.mk
 
-# Needed by upstream build and (always) to build extermal modules
-deps-lib = libpcre3-dev, libssl-dev, uuid-dev, zlib1g-dev
+# Needed by upstream build and (always) to build external modules
+deps-lib = libpcre2-dev, libssl-dev, uuid-dev, zlib1g-dev
 deps-lib +=, libcap-dev [linux-any], libjail-dev [kfreebsd-any]
 
 # Needed (always/often) to build external modules
@@ -51,10 +51,13 @@
 	$(eval UWSGI_ARCHS_$(list) := $(shell cat debian/ARCHS_$(list))))
 ifneq (,$(DEB_MAINTAINER_MODE))
 debian/control::
-	sed -i \
-		$(foreach list,$(UWSGI_ARCHLISTS),\
-			-e 's/@$(list)_archs@/$(UWSGI_ARCHS_$(list))/g') \
-		-e 's/@ruby_kind@/$(UWSGI_KIND_ruby)/g' \
+	perl -i -p -0 \
+		-e 's/(?:libglusterfs-dev \[|uwsgi-plugin-glusterfs(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_glusterfs)/g;' \
+		-e 's/(?:python3?-greenlet(?:-dev)? \[|uwsgi-plugin-(?:gevent|greenlet)-python3(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_greenlet)/g;' \
+		-e 's/(?:openjdk-17-jdk \[|uwsgi-plugin-(?:jvm|jwsgi|ring|servlet)-openjdk-17(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_openjdk17)/g;' \
+		-e 's/(?:(?:cli-common-dev|mono-devel) \[|uwsgi-plugin-mono(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_mono)/g;' \
+		-e 's/(?:librados-dev \[|uwsgi-plugin-rados(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_rados)/g;' \
+		-e 's/(?:gccgo \[|uwsgi-plugin-gccgo(?: \(= \S+ \[|\nArchitecture: ))\K[^\]\n]*/$(UWSGI_ARCHS_gccgo)/g;' \
 		debian/control
 endif
 
@@ -87,7 +90,7 @@
 UWSGI_DEFAULTKIND_java = openjdk-17
 UWSGI_SRCPLUGINS_java = jvm jwsgi ring servlet
 
-UWSGI_KINDS_lua = lua5.1 lua5.2
+UWSGI_KINDS_lua = lua5.1
 UWSGI_DEFAULTKIND_lua = lua5.1
 UWSGI_SRCPLUGINS_LANG_SELF += lua
 
@@ -180,23 +183,3 @@
 UWSGI_PKGSCRIPTS_lua = pri
 UWSGI_PKGSCRIPTS_mono = pri
 UWSGI_PKGSCRIPTS_rack = pri
-UWSGI_PKGSCRIPTS_rbthreads = single aux
-UWSGI_PKGSCRIPTS_fiber = single aux
-UWSGI_PKGSCRIPTS_python = python pri-py pri
-UWSGI_PKGSCRIPTS_gevent = python aux-py aux
-UWSGI_PKGSCRIPTS_greenlet = python aux-py aux
-UWSGI_PKGSCRIPTS_tornado = python aux-py aux
-UWSGI_PKGSCRIPTS_asyncio = python aux-py aux
-
-# Stem-based variables
-# ====================
-
-pkg_name = $(cdbs_curpkg)
-
-plugin_name = $(call pkg_name_to_plugin_name,$*)
-plugin_is_lang = $(strip $(or \
-	$(foreach lang,$(UWSGI_PLUGINLANGS),\
-		$(if $(filter $(UWSGI_KINDS_$(lang)),$*),$(lang)))))
-plugin_implies_lang = $(strip $(or \
-	$(if $(filter rbthreads fiber,$*),\
-		ruby)))
