## uwsgi 2.0.23

=== debian/changelog ===
uwsgi (2.0.23-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * add patch 1007 to properly init cache for purge_lru

  [ Jonas Smedegaard ]
  * unfuzz patches; update DEP-3 patch headers
  * add arch riscv64 to rados build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 13:35:41 +0100
