=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  libpcre2-dev,
  libperl-dev,
  libpq-dev,
- librados-dev [amd64 arm64 armel armhf i386 mips64el ppc64el s390x],
+ librados-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
  libsqlite3-dev,
  libssl-dev,
  libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
